%global momorel 1

Summary: An Open Source implementation of the GDI+ API
Name: libgdiplus
Version: 2.0
Release: %{momorel}m%{?dist}
URL: http://www.mono-project.com/
Source0: http://mono.ximian.com/monobuild/preview/sources/%{name}/%{name}-%{version}.tar.bz2
#Source0: http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.bz2
#NoSource: 0
License: LGPL MPL
Group: System Environment/Libraries
BuildPreReq: pkgconfig
BuildPreReq: glib2-devel
BuildPreReq: fontconfig-devel
BuildPreReq: freetype-devel
BuildPreReq: libXrender-devel
BuildPreReq: libpng-devel
BuildPreReq: libexif-devel
BuildPreReq: cairo libtiff libjpeg libungif libpng
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
An Open Source implementation of the GDI+ API

%package devel
Summary: An Open Source implementation of the GDI+ API for devel
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
An Open Source implementation of the GDI+ API for devel

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -I%{_includedir}/cairo"
%configure \
    --enable-pdf \
    --enable-svg \
    --enable-png \
    --enable-glitz \
    --enable-xcb \
    --with-cairo=system \
    --with-pango
#     --enable-quartz \
#    --enable-directfb \
#    --enable-atsui \
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog LICENSE MPL-1.1.html NEWS README TODO
%{_libdir}/libgdiplus.so.*

%files devel
%{_libdir}/libgdiplus.a
%{_libdir}/libgdiplus.so
%{_libdir}/pkgconfig/libgdiplus.pc

%changelog
* Thu Aug 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- update 2.0

* Sun Aug  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.0106765-2m)
- no NoSource

* Sat Jul  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.0106765-1m)
- update to 1.9.1.0106765 (svn version)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9-2m)
- rebuild against gcc43

* Sun Mar 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9-1m)
- update to 1.9

* Thu Dec 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6

* Sun Sep  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.5-1m)
- update to 1.2.5
- delete patch (fixed)

* Mon Jul 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.4-2m) 
- apply Patch0: libgdiplus-1.2.4-cairo-ctype.patch

* Wed May 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4

* Fri Feb  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Thu Dec 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Fri Nov  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2-1m)
- update to 1.2

* Tue Oct 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.18-1m)
- update to 1.1.18

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.17-1m)
- update to 1.1.17

* Sat Aug 26 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.1.16.1-2m)
- rebuild against expat-2.0.0-1m

* Mon Aug 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.16.1-1m)
- update to 1.1.16.1

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.1.15-2m)
- rebuild against monodoc

* Mon Apr 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-1m)
- update to 1.1.15

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.14-1m)
- update to 1.1.14 (1.2 beta)

* Fri Jan 27 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.13.2-1m)
- Start
